FROM debian:stretch

LABEL maintainer="lenerd <lenerd@posteo.de>"

RUN \
    dpkg --add-architecture i386 && \
    apt-get update && \
    apt-get -y install build-essential gcc-multilib

COPY src-generator/ /src
COPY src-generator/libc-2.24.so /lib/x86_64-linux-gnu/libc.so.6
COPY src-generator/libc-2.24.so /lib/x86_64-linux-gnu/libc.so
COPY src-generator/libc-2.24.so /lib32/libc.so.6

WORKDIR /src
ENTRYPOINT ["./init.sh"]
